import request from '@/utils/request'
//企查查
export function getqichachaSearch(data) {
  return request({
    url: '/projectV2/sbbzb/qichachaSearch/'+data,
    method: 'get',
  })
}
//生成项目编号接口
export function getCommonXmbh(data) {
  return request({
    url: '/projectV2/common/xmbh',
    method: 'get',
  })
}

//新增项目投资方-企业
export function getAddInvestor(data) {
  return request({
    url: '/projectV2/investor',
    method: 'post',
	data:data
  })
}
//修改项目投资方-企业
export function getPutInvestor(data) {
  return request({
    url: '/projectV2/investor/put',
    method: 'post',
	data:data
  })
}
//删除项目投资方--企业
export function getDelInvestor(data) {
  return request({
    url: '/projectV2/investor/delete/'+data,
    method: 'get',
  })
}
//查看项目投资方-企业
export function getInvestorList(data) {
  return request({
    url: '/projectV2/investor/list',
    method: 'get',
	data:data
  })
}
//查看项目投资方详情-企业
export function getInvestorid(data) {
  return request({
    url: '/projectV2/investor/'+data,
    method: 'get',
  })
}

//新增项目投资方-自然人
export function getAddPersion(data) {
  return request({
    url: '/projectV2/persion',
    method: 'post',
	data:data
  })
}
//修改项目投资方-自然人
export function getPutPersion(data) {
  return request({
    url: '/projectV2/persion/put',
    method: 'post',
	data:data
  })
}
//删除项目投资方-自然人
export function getDelPersion(data) {
  return request({
    url: '/projectV2/persion/delete/'+data,
    method: 'get',
  })
}
//查看项目投资方-自然人
export function getPersionList(data) {
  return request({
    url: '/projectV2/persion/list',
    method: 'get',
	data:data
  })
}
//查看项目投资方详情-自然人
export function getPersionid(data) {
  return request({
    url: '/projectV2/persion/'+data,
    method: 'get',
  })
}

// 新增项目申报表
export function getsbbzbAddFn(data) {
  return request({
    url: '/projectV2/sbbzb',
    method: 'post',
	data:data
  })
}
// 修改项目申报表
export function getsbbzbPutFn(data) {
  return request({
    url: '/projectV2/sbbzb/put',
    method: 'post',
	data:data
  })
}
//新增项目签约
export function getsqyxxAddFn(data) {
  return request({
    url: '/projectV2/qyxx',
    method: 'post',
	data:data
  })
}
//修改项目签约
export function getsqyxxPutFn(data) {
  return request({
    url: '/projectV2/qyxx/put',
    method: 'post',
	data:data
  })
}
//新增项目开工信息
export function getkgxxAddFn(data) {
  return request({
    url: '/projectV2/kgxx',
    method: 'post',
	data:data
  })
}
//修改项目开工信息
export function getkgxxPutFn(data) {
  return request({
    url: '/projectV2/kgxx/put',
    method: 'post',
	data:data
  })
}

//新增项目投产信息
export function gettcxxAddFn(data) {
  return request({
    url: '/projectV2/tcxx',
    method: 'post',
	data:data
  })
}
//修改项目投产信息
export function gettcxxPutFn(data) {
  return request({
    url: '/projectV2/tcxx/put',
    method: 'post',
	data:data
  })
}

// 新增项目进度
export function getrateAddFn(data) {
  return request({
    url: '/projectV2/rate',
    method: 'post',
	data:data
  })
}
// 修改项目进度
export function getratePutFn(data) {
  return request({
    url: '/projectV2/rate/put',
    method: 'post',
	data:data
  })
}
// 删除项目进度
export function getrateDelFn(data) {
  return request({
    url: '/projectV2/rate/delete/'+data,
    method: 'get',
  })
}
//查看项目进度列表
export function getrateListFn(data) {
  return request({
    url: '/projectV2/rate/list',
    method: 'get',
	data:data
  })
}



// 引荐单位
// 查看项目签约详情_引荐单位
export function getqyxxYjListFn(data) {
  return request({
    url: '/projectV2/qyxx/queryYj/'+data,
    method: 'get',
  })
}

// 新增项目签约（引荐单位）
export function getqyxxaddYjFn(data) {
  return request({
    url: '/projectV2/qyxx/addYj',
    method: 'Post',
	data:data
  })
}
// 修改项目签约_引荐单位
export function getqyxxeditYjFn(data) {
  return request({
    url: '/projectV2/qyxx/put/editYj',
    method: 'Post',
	data:data
  })
}


// 查看项目开工详细信息_引荐单位
export function getkgxxYjListFn(data) {
  return request({
    url: '/projectV2/kgxx/queryYj/'+data,
    method: 'get',
  })
}

// 新增项目开工信息(引荐单位使用)
export function getkgxxaddYjFn(data) {
  return request({
    url: '/projectV2/kgxx/addYj',
    method: 'Post',
	data:data
  })
}
// 修改项目开工信息(引荐单位)
export function getkgxxeditYjFn(data) {
  return request({
    url: '/projectV2/kgxx/put/editYj',
    method: 'Post',
	data:data
  })
}


// 查看项目投产详细信息_引荐单位
export function gettcxxYjListFn(data) {
  return request({
    url: '/projectV2/tcxx/queryYj/'+data,
    method: 'get',
  })
}

// 新增项目投产信息_引荐单位
export function gettcxxaddYjFn(data) {
  return request({
    url: '/projectV2/tcxx/addYj',
    method: 'Post',
	data:data
  })
}
// 修改项目投产信息_引荐单位
export function gettcxxeditYjFn(data) {
  return request({
    url: '/projectV2/tcxx/editYj',
    method: 'Post',
	data:data
  })
}


// 引荐单位项目进度

// 新增项目进度
export function getrateYjAddFn(data) {
  return request({
    url: '/projectV2/rate/addYj',
    method: 'post',
	data:data
  })
}
// 修改项目进度
export function getrateYjPutFn(data) {
  return request({
    url: '/projectV2/rate/editYj',
    method: 'post',
	data:data
  })
}
// 删除项目进度
export function getrateYjDelFn(data) {
  return request({
    url: '/projectV2/rate/deleteYj/'+data,
    method: 'get',
  })
}
//查看项目进度列表
export function getrateYjListFn(data) {
  return request({
    url: '/projectV2/rate/listYj',
    method: 'get',
	data:data
  })
}

//投产阶段,修改开工信息
export function gekgxxputKg(data) {
  return request({
    url: '/projectV2/kgxx/putKg',
    method: 'post',
	data:data
  })
}
//投产阶段,修改开工信息
export function gekgxxputYjKg(data) {
  return request({
    url: '/projectV2/kgxx/put/editYjKg',
    method: 'post',
	data:data
  })
}


